#!/bin/bash

function touch_forcefsck()(
  greetings(){
    echo " ";
    echo " Utility to enforce the file system check with Astra Linux.";
    echo " Copyright (c) 2017-2025 Alexey Kuryakin kouriakine@mail.ru";
    echo " Version: 20250119";
    echo " ";
    echo "Login as «$(whoami)@$(hostname -s)».";
    echo "Detected $(lsb_release -ds).";
    echo "Let's enforce file system check (fsck) on your system...";
    echo "";
  };
  function show_title(){
    echo " ";
    echo " $*";
    echo " ";
  };
  function execute(){
   echo "$*";
   $*;
  };
  clear;
  greetings;
  execute sudo touch /forcefsck;
  show_title "Done";
);
touch_forcefsck;
